Bug 130850 - Convert yet more of HTMLConverter to C++
Summary: Convert yet more of HTMLConverter to C++
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-27 11:49 PDT by Sam Weinig
Modified: 2014-03-30 12:51 PDT (History)
1 user (show)

See Also:


Attachments
Patch (47.51 KB, patch)
2014-03-27 15:21 PDT, Sam Weinig
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2014-03-27 11:49:15 PDT
Convert yet more of HTMLConverter to C++
Comment 1 Sam Weinig 2014-03-27 15:21:54 PDT
Created attachment 227994 [details]
Patch
Comment 2 Anders Carlsson 2014-03-27 16:31:12 PDT
Comment on attachment 227994 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=227994&action=review

> Source/WebCore/editing/cocoa/HTMLConverter.mm:560
> +NSAttributedString *HTMLConverter::convert()

This should really return a RetainPtr<NSAttributedString>.
Comment 3 Sam Weinig 2014-03-29 13:03:41 PDT
Committed r166454: <http://trac.webkit.org/changeset/166454>
Comment 4 David Kilzer (:ddkilzer) 2014-03-30 12:51:58 PDT
iOS build fix:  <http://trac.webkit.org/changeset/166464>